Bug 53578 - /bin/mail cannot handle nfs mounted /var/spool/mail
/bin/mail cannot handle nfs mounted /var/spool/mail
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: mailx (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-12 04:42 EDT by Anvil
Modified: 2007-04-18 12:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-09 05:40:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anvil 2001-09-12 04:42:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [fr] (X11; U; Linux 2.4.2-2 i686)

Description of problem:
/bin/mail complains about "unavailable lock" (see below)

[root@enclume ~]# mail
Mail version 8.1 6/6/93.  Type ? for help.
"/var/spool/mail/root": 2 messages 2 new
>N  1 achilles108@hotmail.  Sun Sep  9 01:32  51/1867  "We Run Background
and"
 N  2 dnade@activia.net     Wed Sep 12 09:56  16/573   "tototo test"
& d2
& q
Unable to lock mailbox: No locks available
[root@enclume ~]# df /var/spool/mail
Filesystem            Size  Used Avail Use% Mounted on
gaia:/var/spool/mail  2.0G  936M  985M  49% /var/spool/mail



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. mount mbox:/var/spool/mail /var/spool/mail (rw,norootsquash)
2. assume you have mail in /var/spool/mail/$USER do "mail"
3. try to delete/read some mail and quit with "q"
		

Actual Results:  /bin/mail tells : "Unable to lock mailbox: No locks
available"
and no mail have been deleted and the /var/spool/mail is still the same.

Expected Results:  mails should be deleted or marked as read (etc..)

Additional info:

I got some zoot(rhl6.2) boxes on my lan. They also mount the same
/var/spool/mail and they have no problem at all.
I copied the /bin/mail from the zoot-box to the seawolf-box and see :

[dnade@enclume ~]# ./mail
Mail version 8.1 6/6/93.  Type ? for help.
"/var/spool/mail/dnade": 3 messages 3 unread
>U  1 root@enclume.local    Wed Sep 12 10:04  42/1830  "pwet test"
 U  2 aubin.galinotti@acti  Wed Sep 12 10:04  34/1420  "partition image"
 U  3 derek@its.uq.edu.au   Wed Sep 12 10:04 123/5122  "Re: kill specific
process"
& d1
& q
Held 2 messages in /var/spool/mail/dnade

There is no more problem !... 
It seems that the inc command (from nmh package) have the same problem.
Comment 1 Ivana Varekova 2004-11-09 05:39:27 EST
Thank your for your notice.
Works for mail-8.1.1-37.
IV 

Note You need to log in before you can comment on or make changes to this bug.